# Class CIM_AuthenticationCondition
extends CIM_PolicyCondition

An abstract class whose subclasses describe one of a company's and/or administrator's credential requirements, and/or other information that should be authenticated in order to establish/trust a CIM_Identity. The PolicyConditions collected by an instance of AuthenticationRule describe the various requirements under which a CIM_Identity's CurrentlyAuthenticated Boolean is set to TRUE. Note that the CIM_Identities which are authenticated are specified through the AuthenticationRule, using the PolicySet AppliesToElement association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyCondition
|
+--CIM_AuthenticationCondition

## Direct Known Subclasses

CIM_AccountAuthentication
CIM_BiometricAuthentication
CIM_DocumentAuthentication
CIM_KerberosAuthentication
CIM_NetworkingIDAuthentication
CIM_PhysicalCredentialAuthentication
CIM_PublicPrivateKeyAuthentication
CIM_SharedSecretAuthentication

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

An abstract class whose subclasses describe one of a company's and/or administrator's credential requirements, and/or other information that should be authenticated in order to establish/trust a CIM_Identity. The PolicyConditions collected by an instance of AuthenticationRule describe the various requirements under which a CIM_Identity's CurrentlyAuthenticated Boolean is set to TRUE. Note that the CIM_Identities which are authenticated are specified through the AuthenticationRule, using the PolicySet AppliesToElement association.

UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyCondition
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyConditionName | string | CIM_PolicyCondition
PolicyRuleCreationClassName | string | CIM_PolicyCondition
PolicyRuleName | string | CIM_PolicyCondition
SystemCreationClassName | string | CIM_PolicyCondition
SystemName | string | CIM_PolicyCondition
PolicyKeywords | string[] | CIM_Policy

## Class Methods